<?xml version="1.0" encoding="iso8859-1" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:xs="http://www.w3.org/2001/XMLSchema" version="2.0">
	
 <xsl:output method="html" encoding="iso8859-1" />
 
   <xsl:template match="lyceens">
   
		
    <html>

	<!--Affiche le nom et le prnom des personnes de la listes avec Mr ou Mlle si on connait leur moyenne-->
	
   	<xsl:for-each select="lyceen">
			

		<xsl:if test="sexe = 'M'"><xsl:text> Mr </xsl:text></xsl:if>
		<xsl:if test="sexe = 'F'"><xsl:text> Mlle </xsl:text></xsl:if>
		<xsl:text> </xsl:text>
		<xsl:value-of select="nom" />
		<xsl:text> </xsl:text>
		<xsl:value-of select="prenom" />
		
		<br/>
		<br/>
	</xsl:for-each>
	

	

		
			<!--Calcule de la moyenne-->
		<xsl:text>La Moyenne gnrale de la classe est : </xsl:text>
		<xsl:value-of select='format-number(sum(//moyenne)div(count(//moyenne)), "#.00")' /> 
		<xsl:text>/20</xsl:text>
		<br/>
		

			<!--nombre de notes-->

		<xsl:text>Il y a : </xsl:text>
			<xsl:value-of select="count(//moyenne)"/>
		<xsl:text> notes</xsl:text>
		<br/>


		
		
			<!--Trie les moyennes dans une variable-->
				
		<xsl:variable name="lyceenstri">
			<xsl:for-each select="lyceen">
				<xsl:sort select="moyenne" order="ascending" data-type="number"/>
				<xsl:copy-of select="."/>
			</xsl:for-each>	
		</xsl:variable>
		
	<br/>


			<!--Calcule de la mediane-->
	
	<xsl:text>La Mdiane est : </xsl:text>
		
		<xsl:choose> 	
			<xsl:when test="not(count(//moyenne) mod 2)">
				<xsl:value-of select='$lyceenstri/lyceen[position()=((count(//moyenne)+4)div 2)]/moyenne'/>
			</xsl:when> 
		
			<xsl:otherwise>	
				<xsl:value-of select='$lyceenstri/lyceen[position()=(count(//moyenne)+1)div 2]/moyenne'/>		
			</xsl:otherwise>
		</xsl:choose> 
		
	<xsl:text>/20</xsl:text>
	
	</html>
</xsl:template>
	

 
 </xsl:stylesheet>